DBIx::Class::Storage::DBI::SQLite(3)

NAME
DBIx::Class::Storage::DBI::SQLite - Automatic primary key class for SQLite

SYNOPSIS
  # In your table classes
  use base 'DBIx::Class::Core';
  __PACKAGE__->set_primary_key('id');

DESCRIPTION
This class implements autoincrements for SQLite.

METHODS

  connect_call_use_foreign_keys
Used as:

    on_connect_call => 'use_foreign_keys'

In connect_info to turn on foreign key (including cascading) support for recent versions of SQLite and DBD::SQLite.

Executes:

  PRAGMA foreign_keys = ON

See <http://www.sqlite.org/foreignkeys.html> for more information.

AUTHORS
Matt S. Trout <mst@shadowcatsystems.co.uk>

LICENSE
You may distribute this code under the same terms as Perl itself.